org.jboss.netty.handler.codec.spdy

## Class DefaultSpdySettingsFrame

- java.lang.Object
- - org.jboss.netty.handler.codec.spdy.DefaultSpdySettingsFrame

All Implemented Interfaces:
  SpdySettingsFrame

    public class DefaultSpdySettingsFrame
    extends Object
    implements SpdySettingsFrame

The default `SpdySettingsFrame` implementation.

### Field Summary

### Fields inherited from interface org.jboss.netty.handler.codec.spdy.SpdySettingsFrame

`SETTINGS_CLIENT_CERTIFICATE_VECTOR_SIZE, SETTINGS_CURRENT_CWND, SETTINGS_DOWNLOAD_BANDWIDTH, SETTINGS_DOWNLOAD_RETRANS_RATE, SETTINGS_INITIAL_WINDOW_SIZE, SETTINGS_MAX_CONCURRENT_STREAMS, SETTINGS_ROUND_TRIP_TIME, SETTINGS_UPLOAD_BANDWIDTH`

### Constructor Summary

Constructors
Constructor and Description
`DefaultSpdySettingsFrame()` Creates a new instance.

### Method Summary

Methods
`boolean` `clearPreviouslyPersistedSettings()` Returns `true` if previously persisted settings should be cleared.
`Set<Integer>` `getIds()` Returns a `Set` of the setting IDs.
`Set<Integer>` `getIDs()`
`int` `getValue(int ID)` Returns the value of the setting ID.
`boolean` `isPersisted(int ID)` Returns `true` if this setting is persisted.
`boolean` `isPersistValue(int ID)` Returns `true` if this setting should be persisted.
`boolean` `isSet(int ID)` Returns `true` if the setting ID has a value.
`boolean` `persistValue(int ID)`
`void` `removeValue(int ID)` Removes the value of the setting ID.
`void` `setClearPreviouslyPersistedSettings(boolean clear)` Sets if previously persisted settings should be cleared.
`void` `setPersisted(int ID, boolean persisted)` Sets if this setting is persisted.
`void` `setPersistValue(int ID, boolean persistValue)` Sets if this setting should be persisted.
`void` `setValue(int ID, int value)` Sets the value of the setting ID.
`void` `setValue(int ID, int value, boolean persistValue, boolean persisted)` Sets the value of the setting ID.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DefaultSpdySettingsFrame

    public DefaultSpdySettingsFrame()

Creates a new instance.

### Method Detail

#### getIDs

    public Set<Integer> getIDs()

Specified by:
  `getIDs` in interface `SpdySettingsFrame`

#### getIds

    public Set<Integer> getIds()

Description copied from interface: `SpdySettingsFrame`
Returns a `Set` of the setting IDs. The set's iterator will return the IDs in ascending order.

Specified by:
  `getIds` in interface `SpdySettingsFrame`

#### isSet

    public boolean isSet(int ID)

Description copied from interface: `SpdySettingsFrame`
Returns `true` if the setting ID has a value.

Specified by:
  `isSet` in interface `SpdySettingsFrame`

#### getValue

    public int getValue(int ID)

Description copied from interface: `SpdySettingsFrame`
Returns the value of the setting ID. Returns -1 if the setting ID is not set.

Specified by:
  `getValue` in interface `SpdySettingsFrame`

#### setValue

    public void setValue(int ID,
                int value)

Description copied from interface: `SpdySettingsFrame`
Sets the value of the setting ID. The ID must be positive and cannot exceed 16777215.

Specified by:
  `setValue` in interface `SpdySettingsFrame`

#### setValue

    public void setValue(int ID,
                int value,
                boolean persistValue,
                boolean persisted)

Description copied from interface: `SpdySettingsFrame`
Sets the value of the setting ID. Sets if the setting should be persisted (should only be set by the server). Sets if the setting is persisted (should only be set by the client). The ID must be positive and cannot exceed 16777215.

Specified by:
  `setValue` in interface `SpdySettingsFrame`

#### removeValue

    public void removeValue(int ID)

Description copied from interface: `SpdySettingsFrame`
Removes the value of the setting ID. Removes all persistance information for the setting.

Specified by:
  `removeValue` in interface `SpdySettingsFrame`

#### persistValue

    public boolean persistValue(int ID)

Specified by:
  `persistValue` in interface `SpdySettingsFrame`

#### isPersistValue

    public boolean isPersistValue(int ID)

Description copied from interface: `SpdySettingsFrame`
Returns `true` if this setting should be persisted. Returns `false` if this setting should not be persisted or if the setting ID has no value.

Specified by:
  `isPersistValue` in interface `SpdySettingsFrame`

#### setPersistValue

    public void setPersistValue(int ID,
                       boolean persistValue)

Description copied from interface: `SpdySettingsFrame`
Sets if this setting should be persisted. Has no effect if the setting ID has no value.

Specified by:
  `setPersistValue` in interface `SpdySettingsFrame`

#### isPersisted

    public boolean isPersisted(int ID)

Description copied from interface: `SpdySettingsFrame`
Returns `true` if this setting is persisted. Returns `false` if this setting should not be persisted or if the setting ID has no value.

Specified by:
  `isPersisted` in interface `SpdySettingsFrame`

#### setPersisted

    public void setPersisted(int ID,
                    boolean persisted)

Description copied from interface: `SpdySettingsFrame`
Sets if this setting is persisted. Has no effect if the setting ID has no value.

Specified by:
  `setPersisted` in interface `SpdySettingsFrame`

#### clearPreviouslyPersistedSettings

    public boolean clearPreviouslyPersistedSettings()

Description copied from interface: `SpdySettingsFrame`
Returns `true` if previously persisted settings should be cleared.

Specified by:
  `clearPreviouslyPersistedSettings` in interface `SpdySettingsFrame`

#### setClearPreviouslyPersistedSettings

    public void setClearPreviouslyPersistedSettings(boolean clear)

Description copied from interface: `SpdySettingsFrame`
Sets if previously persisted settings should be cleared.

Specified by:
  `setClearPreviouslyPersistedSettings` in interface `SpdySettingsFrame`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`